shipping.zone.create
Create a shipping zone (an inclusive postal_code range). Postal codes are normalized on write.
- Scope:
shipping.write - System: no
- Reachable from:
POST /v1/commands/shipping.zone.create(tenant credential) · MCP toolshipping.zone.create· SDKclient.call('shipping.zone.create', …) - Events:
shipping.config.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "name": { "minLength": 1, "type": "string" }, "postal_code_from": { "minLength": 1, "type": "string" }, "postal_code_to": { "minLength": 1, "type": "string" } }, "required": [ "name", "postal_code_from", "postal_code_to" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "zone_id": { "type": "string" } }, "required": [ "zone_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)